import { ControlValueAccessor } from '@angular/forms';
import { RadioButtonGroupItem } from './models/radio-button-group.models';
import * as i0 from "@angular/core";
export declare class RadioButtonGroupComponent implements ControlValueAccessor {
    protected onChange: (value: unknown) => void;
    protected onTouched: (value: unknown) => void;
    protected modelValue: import("@angular/core").WritableSignal<unknown>;
    readonly disabled: import("@angular/core").ModelSignal<boolean>;
    readonly items: import("@angular/core").InputSignal<RadioButtonGroupItem[]>;
    readonly inputName: import("@angular/core").InputSignal<string>;
    readonly viewMode: import("@angular/core").InputSignal<"horizontal" | "vertical">;
    registerOnChange(fn: (value: unknown) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    writeValue(value: unknown): void;
    protected radioButtonItems: import("@angular/core").Signal<{
        hash: string;
        label: string;
        value: unknown;
        disabled?: boolean;
    }[]>;
    protected setValue(value: unknown): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RadioButtonGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RadioButtonGroupComponent, "s-radiobutton-group", never, { "disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; "items": { "alias": "items"; "required": true; "isSignal": true; }; "inputName": { "alias": "inputName"; "required": true; "isSignal": true; }; "viewMode": { "alias": "viewMode"; "required": false; "isSignal": true; }; }, { "disabled": "disabledChange"; }, never, never, true, never>;
}
